=== modified file 'README.rst'
--- README.rst	2011-06-14 20:10:06 +0000
+++ README.rst	2011-09-24 02:29:10 +0000
@@ -6,12 +6,12 @@
 
 This is GNU Mailman, a mailing list management system distributed under the
 terms of the GNU General Public License (GPL) version 3 or later.  The name of
-this software is spelled "Mailman" with a leading capital `M' but with a lower
-case second `m'.  Any other spelling is incorrect.
+this software is spelled "Mailman" with a leading capital 'M' but with a lower
+case second 'm'.  Any other spelling is incorrect.
 
 Mailman is written in Python which is available for all platforms that Mailman
 is supported on, including GNU/Linux and most other Unix-like operating
-systems (e.g. Solaris, *BSD, MacOSX, etc.).  Mailman is not supported on
+systems (e.g. Solaris, \*BSD, MacOSX, etc.).  Mailman is not supported on
 Windows, although web and mail clients on any platform should be able to
 interact with Mailman just fine.
 
@@ -25,3 +25,37 @@
 
 For more information on Mailman, see the above web sites, or the documentation
 provided with this software.  Start at src/mailman/docs/README.txt.
+
+
+Table of Contents
+=================
+
+.. toctree::
+    :glob:
+
+    src/mailman/docs/INTRODUCTION
+    src/mailman/docs/START
+    src/mailman/docs/MTA
+    src/mailman/bin/docs/*
+    src/mailman/commands/docs/*
+    src/mailman/model/docs/*
+    src/mailman/core/docs/*
+    src/mailman/app/docs/*
+    src/mailman/runners/docs/*
+    src/mailman/pipeline/docs/*
+    src/mailman/rest/docs/*
+    src/mailman/chains/docs/*
+    src/mailman/rules/docs/*
+    src/mailman/archiving/docs/*
+    src/mailman/mta/docs/*
+    src/mailman/docs/NEWS
+    src/mailman/docs/STYLEGUIDE
+    src/mailman/docs/ACKNOWLEDGMENTS
+
+
+Indices and tables
+==================
+
+* :ref:`genindex`
+* :ref:`modindex`
+* :ref:`search`

=== added directory '_static'
=== added directory '_templates'
=== modified file 'buildout.cfg'
--- buildout.cfg	2011-08-12 18:23:24 +0000
+++ buildout.cfg	2011-09-24 02:29:10 +0000
@@ -1,7 +1,5 @@
 [buildout]
 parts =
-    docs
-#    filetemplates
     interpreter
     tags
     test
@@ -26,17 +24,3 @@
 # Hack in extra arguments to zope.testrunner.
 initialization = from mailman.testing import initialize;
     initialize('${buildout:directory}')
-
-[docs]
-recipe = z3c.recipe.sphinxdoc
-eggs = mailman [docs]
-index-doc = docs/README
-default.css =
-layout.html =
-extensions = sphinxconf
-
-[filetemplates]
-recipe = z3c.recipe.filetemplate
-source-directory = .buildout
-package = mailman
-eggs = mailman

=== added file 'conf.py'
--- conf.py	1970-01-01 00:00:00 +0000
+++ conf.py	2011-09-24 02:29:10 +0000
@@ -0,0 +1,235 @@
+# -*- coding: utf-8 -*-
+#
+# GNU Mailman documentation build configuration file, created by
+# sphinx-quickstart on Fri Sep 23 21:30:41 2011.
+#
+# This file is execfile()d with the current directory set to its containing dir.
+#
+# Note that not all possible configuration values are present in this
+# autogenerated file.
+#
+# All configuration values have a default; values that are commented out
+# serve to show the default.
+
+import sys, os
+
+# If extensions (or modules to document with autodoc) are in another directory,
+# add these directories to sys.path here. If the directory is relative to the
+# documentation root, use os.path.abspath to make it absolute, like shown here.
+#sys.path.insert(0, os.path.abspath('.'))
+
+# -- General configuration -----------------------------------------------------
+
+# If your documentation needs a minimal Sphinx version, state it here.
+#needs_sphinx = '1.0'
+
+# Add any Sphinx extension module names here, as strings. They can be extensions
+# coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
+extensions = ['sphinx.ext.autodoc', 'sphinx.ext.viewcode']
+
+# Add any paths that contain templates here, relative to this directory.
+templates_path = ['_templates']
+
+# The suffix of source filenames.
+source_suffix = '.rst'
+
+# The encoding of source files.
+#source_encoding = 'utf-8-sig'
+
+# The master toctree document.
+master_doc = 'README'
+
+# General information about the project.
+project = u'GNU Mailman'
+copyright = u'1998-2011 by the Free Software Foundation, Inc.'
+
+# The version info for the project you're documenting, acts as replacement for
+# |version| and |release|, also used in various other places throughout the
+# built documents.
+#
+# The short X.Y version.
+import sys; sys.path.append('src')
+from mailman.version import VERSION
+version = '.'.join(VERSION.split('.')[0:2])
+# The full version, including alpha/beta/rc tags.
+release = VERSION
+
+# The language for content autogenerated by Sphinx. Refer to documentation
+# for a list of supported languages.
+#language = None
+
+# There are two options for replacing |today|: either, you set today to some
+# non-false value, then it is used:
+#today = ''
+# Else, today_fmt is used as the format for a strftime call.
+#today_fmt = '%B %d, %Y'
+
+# List of patterns, relative to source directory, that match files and
+# directories to ignore when looking for source files.
+exclude_patterns = ['_build']
+
+# The reST default role (used for this markup: `text`) to use for all documents.
+#default_role = None
+
+# If true, '()' will be appended to :func: etc. cross-reference text.
+#add_function_parentheses = True
+
+# If true, the current module name will be prepended to all description
+# unit titles (such as .. function::).
+#add_module_names = True
+
+# If true, sectionauthor and moduleauthor directives will be shown in the
+# output. They are ignored by default.
+#show_authors = False
+
+# The name of the Pygments (syntax highlighting) style to use.
+pygments_style = 'sphinx'
+
+# A list of ignored prefixes for module index sorting.
+#modindex_common_prefix = []
+
+
+# -- Options for HTML output ---------------------------------------------------
+
+# The theme to use for HTML and HTML Help pages.  See the documentation for
+# a list of builtin themes.
+html_theme = 'default'
+
+# Theme options are theme-specific and customize the look and feel of a theme
+# further.  For a list of options available for each theme, see the
+# documentation.
+#html_theme_options = {}
+
+# Add any paths that contain custom themes here, relative to this directory.
+#html_theme_path = []
+
+# The name for this set of Sphinx documents.  If None, it defaults to
+# "<project> v<release> documentation".
+#html_title = None
+
+# A shorter title for the navigation bar.  Default is the same as html_title.
+#html_short_title = None
+
+# The name of an image file (relative to this directory) to place at the top
+# of the sidebar.
+#html_logo = None
+
+# The name of an image file (within the static path) to use as favicon of the
+# docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
+# pixels large.
+#html_favicon = None
+
+# Add any paths that contain custom static files (such as style sheets) here,
+# relative to this directory. They are copied after the builtin static files,
+# so a file named "default.css" will overwrite the builtin "default.css".
+html_static_path = ['_static']
+
+# If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
+# using the given strftime format.
+#html_last_updated_fmt = '%b %d, %Y'
+
+# If true, SmartyPants will be used to convert quotes and dashes to
+# typographically correct entities.
+#html_use_smartypants = True
+
+# Custom sidebar templates, maps document names to template names.
+#html_sidebars = {}
+
+# Additional templates that should be rendered to pages, maps page names to
+# template names.
+#html_additional_pages = {}
+
+# If false, no module index is generated.
+#html_domain_indices = True
+
+# If false, no index is generated.
+#html_use_index = True
+
+# If true, the index is split into individual pages for each letter.
+#html_split_index = False
+
+# If true, links to the reST sources are added to the pages.
+#html_show_sourcelink = True
+
+# If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
+#html_show_sphinx = True
+
+# If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
+#html_show_copyright = True
+
+# If true, an OpenSearch description file will be output, and all pages will
+# contain a <link> tag referring to it.  The value of this option must be the
+# base URL from which the finished HTML is served.
+#html_use_opensearch = ''
+
+# This is the file name suffix for HTML files (e.g. ".xhtml").
+#html_file_suffix = None
+
+# Output file base name for HTML help builder.
+htmlhelp_basename = 'GNUMailmandoc'
+
+
+# -- Options for LaTeX output --------------------------------------------------
+
+# The paper size ('letter' or 'a4').
+#latex_paper_size = 'letter'
+
+# The font size ('10pt', '11pt' or '12pt').
+#latex_font_size = '10pt'
+
+# Grouping the document tree into LaTeX files. List of tuples
+# (source start file, target name, title, author, documentclass [howto/manual]).
+latex_documents = [
+  ('index', 'GNUMailman.tex', u'GNU Mailman Documentation',
+   u'Barry Warsaw', 'manual'),
+]
+
+# The name of an image file (relative to this directory) to place at the top of
+# the title page.
+#latex_logo = None
+
+# For "manual" documents, if this is true, then toplevel headings are parts,
+# not chapters.
+#latex_use_parts = False
+
+# If true, show page references after internal links.
+#latex_show_pagerefs = False
+
+# If true, show URL addresses after external links.
+#latex_show_urls = False
+
+# Additional stuff for the LaTeX preamble.
+#latex_preamble = ''
+
+# Documents to append as an appendix to all manuals.
+#latex_appendices = []
+
+# If false, no module index is generated.
+#latex_domain_indices = True
+
+
+# -- Options for manual page output --------------------------------------------
+
+# One entry per manual page. List of tuples
+# (source start file, name, description, authors, manual section).
+man_pages = [
+    ('index', 'gnumailman', u'GNU Mailman Documentation',
+     [u'Barry Warsaw'], 1)
+]
+
+
+def index_html():
+    import errno
+    cwd = os.getcwd()
+    try:
+        os.chdir('build/sphinx/html')
+        os.symlink('README.html', 'index.html')
+        print 'index.html -> README.html'
+    except OSError as error:
+        if error.errno != errno.EEXIST:
+            raise
+    finally:
+        os.chdir(cwd)
+
+import atexit
+atexit.register(index_html)

=== added file 'setup.cfg'
--- setup.cfg	1970-01-01 00:00:00 +0000
+++ setup.cfg	2011-09-24 02:29:10 +0000
@@ -0,0 +1,2 @@
+[upload_docs]
+upload_dir: build/sphinx/html

=== modified file 'src/mailman/__init__.py'
--- src/mailman/__init__.py	2011-08-04 03:01:06 +0000
+++ src/mailman/__init__.py	2011-09-24 02:29:10 +0000
@@ -41,8 +41,11 @@
 # however, we'll initialize it differently for tests.  We have to do it this
 # early so that module contents is set up before anything that needs it is
 # imported.
-if sys.argv[0].split(os.sep)[-1] == 'test':
-    from mailman.testing.i18n import initialize
-else:
-    from mailman.core.i18n import initialize
-initialize()
+#
+# Do *not* do this if we're building the documentation.
+if 'build_sphinx' not in sys.argv:
+    if sys.argv[0].split(os.sep)[-1] == 'test':
+        from mailman.testing.i18n import initialize
+    else:
+        from mailman.core.i18n import initialize
+    initialize()

=== modified file 'src/mailman/docs/ACKNOWLEDGMENTS.rst'
--- src/mailman/docs/ACKNOWLEDGMENTS.rst	2011-09-24 01:42:39 +0000
+++ src/mailman/docs/ACKNOWLEDGMENTS.rst	2011-09-24 02:29:10 +0000
@@ -37,20 +37,34 @@
 code, and have assigned copyright for contributions to the FSF:
 
 * Juan Carlos Rey Anaya
+* Andrija Arsic
 * Richard Barrett
+* Jimmy Bergman
 * Stephan Berndts
 * Norbert Bollow
+* Joe Dugan
+* Ethan Mindlace Fremen
+* Florian Fuchs
 * Ben Gertzfield
 * Victoriano Giralt
+* Stephen Goss
 * Mads Kiilerich
+* Cedric Knight
+* Patrick Ben Koetter
 * The Dragon De Monsyne
 * Les Niles
+* Reed O'Brien
 * Terri Oda
 * Simone Piunno
-
-
-Other Thanks
-============
+* Claudia Schmidt
+* Andreas Schosser
+* Richard Wackerbarth
+
+
+Special Thanks
+==============
+
+Very special thanks to Andrija Arsic for his winning new GNU Mailman logos.
 
 Thanks also go to the following people for their important contributions in
 other aspects of the Mailman project:
@@ -59,7 +73,7 @@
 * JC Dill
 * Clytie Siddall
 
-Thanks also to Dragon for his winning Mailman logo contribution, and to Terri
+Thanks also to Dragon for his original Mailman logo contribution, and to Terri
 Oda for the neat shortcut icon and the member documentation.
 
 Control.com sponsored development of several Mailman 2.1 features, including
@@ -68,7 +82,7 @@
 
 Here is the list of other people who have contributed useful ideas,
 suggestions, bug fixes, testing, etc., or who have been very helpful in
-answering questions on mailman-users.  Please let me know if anybody's been
+answering questions on mailman-users.  Please let me know if you have been
 left off the list!
 
 * David Abrahams

=== renamed file 'src/mailman/docs/README.rst' => 'src/mailman/docs/INTRODUCTION.rst'
--- src/mailman/docs/README.rst	2011-09-24 01:42:39 +0000
+++ src/mailman/docs/INTRODUCTION.rst	2011-09-24 02:29:10 +0000
@@ -91,27 +91,3 @@
 .. _Python: http://www.python.org
 .. _FAQ: http://wiki.list.org/display/DOC/Frequently+Asked+Questions
 .. _`Python 2.6`: http://www.python.org/download/releases/2.6.6/
-
-
-Table of Contents
-=================
-
-.. toctree::
-    :glob:
-
-    START
-    MTA
-    NEWS
-    STYLEGUIDE
-    ACKNOWLEDGMENTS
-    ../bin/docs/*
-    ../commands/docs/*
-    ../model/docs/*
-    ../app/docs/*
-    ../pipeline/docs/*
-    ../queue/docs/*
-    ../rest/docs/*
-    ../chains/docs/*
-    ../rules/docs/*
-    ../archiving/docs/*
-    ../mta/docs/*

